Subject: Re: [rtcweb] WG Action: Rechartered Real-Time Communication in WEB-browsers (rtcweb)

From: Justin Uberti <[email-masked]>
Date: Mon, 8 Mar 2021 11:30:47 -0800

The slides have been reworked based on feedback that was provided. Here's
the latest version that I plan to present on Friday.

On Wed, Feb 24, 2021 at 1:44 PM Justin Uberti <[email-masked]> wrote:

> Here's an initial set of slides that I put together the other day, still a
> few ??? to address:
> https://docs.google.com/presentation/d/1aprC-TwmLI_zGdWgnTdKVYvaqXNkcf9eMgMhAIzv8Ek/edit?usp=sharing&resourcekey=0-8HY7ugai8XnQyH4sA8cQdA.
> Please have a look and feel free to leave comments in the preso.
>
> On Sat, Feb 20, 2021 at 1:53 PM Christer Holmberg <christer.holmberg=
> [email-masked]> wrote:
>
>> Hi Roman,
>>
>>
>>
>> >You are probably the most qualified to do so. Let me know if you need
>> any help regarding the current implementation status or backward interop
>> testing.
>>
>>
>>
>> I don’t have much information, so feel free to send me whatever you have
>> :)
>>
>>
>>
>> Regards,
>>
>>
>>
>> Christer
>>
>>
>>
>>
>>
>>
>> On Sat, Feb 20, 2021 at 1:25 PM Christer Holmberg <christer.holmberg=
>> [email-masked]> wrote:
>>
>> Hi,
>>
>>
>>
>> I could present the JSEP/BUNDLE specification misalignment, unless
>> someone else wants to.
>>
>>
>>
>> Regards,
>>
>>
>>
>> Christer
>>
>>
>>
>> *From:* rtcweb <[email-masked]> *On Behalf Of *Ted Hardie
>> *Sent:* perjantai 19. helmikuuta 2021 20.11
>> *To:* RTCWeb IETF <[email-masked]>
>> *Cc:* [email-masked]
>> *Subject:* Re: [rtcweb] WG Action: Rechartered Real-Time Communication
>> in WEB-browsers (rtcweb)
>>
>>
>>
>> And we're back.
>>
>>
>>
>> This is hopefully for a limited engagement, as the charter is quite
>> pointed on what we have to do.
>>
>>
>>
>> We do have a meeting slot at IETF 110, Friday March 12, 12:00 UTC (the
>> first slot on the final day, in other words). The bulk of the time will be
>> spent on the handling of "m=" sections that are designated as bundle-only.
>> If you want to present on this, please send a note to the WG as soon as
>> possible.  If you have some other agenda item, please let Sean and me know,
>> and we'll discuss it with you.
>>
>>
>>
>> thanks,
>>
>>
>>
>> Ted and Sean
>>
>>
>>
>>
>>
>> On Fri, Feb 19, 2021 at 9:42 AM The IESG <[email-masked]> wrote:
>>
>> The Real-Time Communication in WEB-browsers (rtcweb) WG in the
>> Applications
>> and Real-Time Area of the IETF has been rechartered. For additional
>> information, please contact the Area Directors or the WG Chairs.
>>
>> Real-Time Communication in WEB-browsers (rtcweb)
>> -----------------------------------------------------------------------
>> Current status: Proposed WG
>>
>> Chairs:
>>   Sean Turner <[email-masked]>
>>   Ted Hardie <[email-masked]>
>>
>> Assigned Area Director:
>>   Murray Kucherawy <[email-masked]>
>>
>> Applications and Real-Time Area Directors:
>>   Barry Leiba <[email-masked]>
>>   Murray Kucherawy <[email-masked]>
>>
>> Mailing list:
>>   Address: [email-masked]
>>   To subscribe: https://www.ietf.org/mailman/listinfo/rtcweb
>>   Archive: https://mailarchive.ietf.org/arch/browse/rtcweb/
>>
>> Group page: https://datatracker.ietf.org/group/rtcweb/
>>
>> Charter: https://datatracker.ietf.org/doc/charter-ietf-rtcweb/
>>
>> The RTCWEB working group was originally chartered to standardize
>> mechanisms
>> that provide direct interactive rich communication using audio, video,
>> collaboration, games, etc. between two peers' web-browsers, without
>> requiring
>> non-standard extensions or proprietary plug-ins.  The result was a set of
>> RFCs from RTCWEB, in addition to many other RFCs from other working
>> groups,
>> all of which are interrelated and had to be published together in what the
>> RFC Editor refers to as a “cluster”.  In the end, that cluster comprised
>> more
>> than 40 RFCs and was finally published in January 2021.
>>
>> During the run-up to publication of the cluster, a contradiction was
>> identified between what became RFCs 8829 and 8843.  A description of this
>> contradiction was added to both documents to highlight the problem, and
>> state
>> our intention to proceed with publication but quickly initiate an effort
>> to
>> publish updates to the affected documents.
>>
>> The key part of the added text was as follows:
>>
>> “The specific issue involves the handling of "m=" sections that are
>> designated as bundle-only, as discussed in Section 4.1.1 of [RFC 8829].
>> Currently, there is divergence between JSEP and BUNDLE, as well as between
>> these specifications and existing browser implementations …”
>>
>> The working group is being reconstituted to take up this contradiction,
>> come
>> to consensus on a resolution, and issue Standards Track updates for those
>> two
>> documents.  Specifically, the goal of this work is to address only the
>> contradictions regarding "bundle-only" between BUNDLE and JSEP.  The
>> resulting aligned solution should avoid impacting the interoperability
>> with
>> SDP Offer/Answer.  Finally, the impact on existing implementations that
>> are
>> affected by any change is to be considered.
>>
>> draft-ietf-rtcweb-sdp, which has not yet been published, will be returned
>> to
>> the working group to be updated according to the resolution of the issue
>> described above.  The working group will therefore produce updates to the
>> JSEP and BUNDLE documents, and re-submit draft-ietf-rtcweb-sdp for
>> publication after it has been revised.  Updating any other document, or
>> taking up any other issue, is out of scope and will require IESG approval
>> via
>> rechartering.
>>
>> Coordination with the MMUSIC working group to develop this solution will
>> be
>> required.
>>
>> Milestones:
>>
>>   Aug 2021 - Update to draft-ietf-rtcweb-sdp to the IESG as Informational.
>>
>>   Aug 2021 - Updates to the JSEP and BUNDLE documents to the IESG as
>> Proposed
>>   Standard.
>>
>> _______________________________________________
>> rtcweb mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/rtcweb
>>
>> _______________________________________________
>> rtcweb mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/rtcweb
>>
>

---

From: Sean Turner <[email-masked]>
Date: Tue, 9 Mar 2021 10:53:33 -0500

I will upload the slides to the datatracker. Thanks for getting these done early!

spt

> On Mar 8, 2021, at 14:30, Justin Uberti <[email-masked]> wrote:
> 
> The slides have been reworked based on feedback that was provided. Here's the latest version that I plan to present on Friday.
> 
> Here's an initial set of slides that I put together the other day, still a few ??? to address: https://docs.google.com/presentation/d/1aprC-TwmLI_zGdWgnTdKVYvaqXNkcf9eMgMhAIzv8Ek/edit?usp=sharing&resourcekey=0-8HY7ugai8XnQyH4sA8cQdA. Please have a look and feel free to leave comments in the preso.
> 
> On Sat, Feb 20, 2021 at 1:53 PM Christer Holmberg <christer.holmberg=[email-masked]> wrote:
> Hi Roman,
> 
>  
> 
> >You are probably the most qualified to do so. Let me know if you need any help regarding the current implementation status or backward interop testing.
> 
>  
> 
> I don’t have much information, so feel free to send me whatever you have :)
> 
>  
> 
> Regards,
> 
>  
> 
> Christer
> 
> 
> 
>  
> 
>  
> 
> On Sat, Feb 20, 2021 at 1:25 PM Christer Holmberg <christer.holmberg=[email-masked]> wrote:
> 
> Hi,
> 
>  
> 
> I could present the JSEP/BUNDLE specification misalignment, unless someone else wants to.
> 
>  
> 
> Regards,
> 
>  
> 
> Christer
> 
>  
> 
> From: rtcweb <[email-masked]> On Behalf Of Ted Hardie
> Sent: perjantai 19. helmikuuta 2021 20.11
> To: RTCWeb IETF <[email-masked]>
> Cc: [email-masked]
> Subject: Re: [rtcweb] WG Action: Rechartered Real-Time Communication in WEB-browsers (rtcweb)
> 
>  
> 
> And we're back.
> 
>  
> 
> This is hopefully for a limited engagement, as the charter is quite pointed on what we have to do. 
> 
>  
> 
> We do have a meeting slot at IETF 110, Friday March 12, 12:00 UTC (the first slot on the final day, in other words). The bulk of the time will be spent on the handling of "m=" sections that are designated as bundle-only.  If you want to present on this, please send a note to the WG as soon as possible.  If you have some other agenda item, please let Sean and me know, and we'll discuss it with you.
> 
>  
> 
> thanks,
> 
>  
> 
> Ted and Sean
> 
>  
> 
>  
> 
> The Real-Time Communication in WEB-browsers (rtcweb) WG in the Applications
> The RTCWEB working group was originally chartered to standardize mechanisms
> collaboration, games, etc. between two peers' web-browsers, without requiring
> RFCs from RTCWEB, in addition to many other RFCs from other working groups,
> RFC Editor refers to as a “cluster”.  In the end, that cluster comprised more
> contradiction was added to both documents to highlight the problem, and state
> our intention to proceed with publication but quickly initiate an effort to
> The working group is being reconstituted to take up this contradiction, come
> to consensus on a resolution, and issue Standards Track updates for those two
> resulting aligned solution should avoid impacting the interoperability with
> SDP Offer/Answer.  Finally, the impact on existing implementations that are
> draft-ietf-rtcweb-sdp, which has not yet been published, will be returned to
> taking up any other issue, is out of scope and will require IESG approval via
> rechartering.
> 
> Coordination with the MMUSIC working group to develop this solution will be
> required.
> 
> Milestones:
> 
>   Aug 2021 - Updates to the JSEP and BUNDLE documents to the IESG as Proposed
>   Standard.
> 
> 
> <Aligning JSEP + BUNDLE [public].pdf>